import type Page from '../data/page/Page';
/**
 * A binder is the interface for a certain type of information. There is a binder for orders, and one for customers, et
 * cetera.
 */
export default class Binder<R, T extends Omit<R, '_links' | '_embedded'>> {
    /**
     * Injects `nextPage`, `nextPageCursor`, `previousPage`, and `previousPageCursor` into the passed list.
     */
    protected injectPaginationHelpers<P>(input: Array<T> & Pick<Page<T>, 'links'>, list: (parameters: P) => Promise<Page<T>>, selfParameters?: P): Page<T>;
}
