import type TransformingNetworkClient from '../../communication/TransformingNetworkClient';
import type Organization from '../../data/organizations/Organizations';
import { type OrganizationData } from '../../data/organizations/Organizations';
import type Callback from '../../types/Callback';
import Binder from '../Binder';
export default class OrganizationsBinder extends Binder<OrganizationData, Organization> {
    protected readonly networkClient: TransformingNetworkClient;
    constructor(networkClient: TransformingNetworkClient);
    /**
     * Retrieve an organization by its ID.
     *
     * @since 3.2.0
     * @see https://docs.mollie.com/reference/v2/organizations-api/get-organization
     */
    get(id: string): Promise<Organization>;
    get(id: string, callback: Callback<Organization>): void;
    /**
     * Retrieve the currently authenticated organization.
     *
     * @since 3.2.0
     * @see https://docs.mollie.com/reference/v2/organizations-api/current-organization
     */
    getCurrent(): Promise<Organization>;
    getCurrent(callback: Callback<Organization>): void;
}
