import type TransformingNetworkClient from '../../../communication/TransformingNetworkClient';
import type Chargeback from '../../../data/chargebacks/Chargeback';
import { type ChargebackData } from '../../../data/chargebacks/Chargeback';
import type Page from '../../../data/page/Page';
import type Callback from '../../../types/Callback';
import Binder from '../../Binder';
import { type IterateParameters, type PageParameters } from './parameters';
export declare function getPathSegments(settlementId: string): string;
export default class SettlementChargebacksBinder extends Binder<ChargebackData, Chargeback> {
    protected readonly networkClient: TransformingNetworkClient;
    constructor(networkClient: TransformingNetworkClient);
    /**
     * Retrieve all chargebacks included in a settlement.
     *
     * @since 3.7.0
     * @see https://docs.mollie.com/reference/v2/settlements-api/list-settlement-chargebacks
     */
    page(parameters: PageParameters): Promise<Page<Chargeback>>;
    page(parameters: PageParameters, callback: Callback<Page<Chargeback>>): void;
    /**
     * Retrieve all chargebacks included in a settlement.
     *
     * @since 3.7.0
     * @see https://docs.mollie.com/reference/v2/settlements-api/list-settlement-chargebacks
     */
    iterate(parameters: IterateParameters): import("../../../plumbing/iteration/HelpfulIterator").default<Chargeback>;
}
