import type TransformingNetworkClient from '../../../communication/TransformingNetworkClient';
import type Page from '../../../data/page/Page';
import { type RefundData } from '../../../data/refunds/data';
import type Refund from '../../../data/refunds/Refund';
import type Callback from '../../../types/Callback';
import Binder from '../../Binder';
import { type IterateParameters, type PageParameters } from './parameters';
export declare function getPathSegments(settlementId: string): string;
export default class SettlementRefundsBinder extends Binder<RefundData, Refund> {
    protected readonly networkClient: TransformingNetworkClient;
    constructor(networkClient: TransformingNetworkClient);
    /**
     * Retrieve all refunds included in a settlement.
     *
     * @since 3.7.0
     * @see https://docs.mollie.com/reference/v2/settlements-api/list-settlement-refunds
     */
    page(parameters: PageParameters): Promise<Page<Refund>>;
    page(parameters: PageParameters, callback: Callback<Page<Refund>>): void;
    /**
     * Retrieve all refunds included in a settlement.
     *
     * @since 3.7.0
     * @see https://docs.mollie.com/reference/v2/settlements-api/list-settlement-refunds
     */
    iterate(parameters: IterateParameters): import("../../../plumbing/iteration/HelpfulIterator").default<Refund>;
}
