import { inspect, type InspectOptionsStylized } from 'util';
import type TransformingNetworkClient from '../communication/TransformingNetworkClient';
import type Callback from '../types/Callback';
import type Maybe from '../types/Maybe';
import { type Links } from './global';
import type Model from './Model';
export default class Helper<R extends Model<string, Maybe<string>>, U> {
    protected readonly networkClient: TransformingNetworkClient;
    protected readonly links: Links;
    constructor(networkClient: TransformingNetworkClient, links: Links);
    refresh(): Promise<U>;
    refresh(callback: Callback<U>): void;
    get [Symbol.toStringTag](): string;
    [inspect.custom](this: Helper<Model<string>, any> & Model<string>, depth: number, options: InspectOptionsStylized): string;
}
