import type TransformingNetworkClient from '../../../communication/TransformingNetworkClient';
import type Callback from '../../../types/Callback';
import Helper from '../../Helper';
import type Customer from '../Customer';
import { type MandateData } from './data';
import type Mandate from './Mandate';
export default class MandateHelper extends Helper<MandateData, Mandate> {
    protected readonly links: MandateData['_links'];
    constructor(networkClient: TransformingNetworkClient, links: MandateData['_links']);
    /**
     * Returns the payments belonging to the customer.
     *
     * @since 3.6.0
     */
    getCustomer(): Promise<Customer>;
    getCustomer(callback: Callback<Customer>): void;
}
