import Helper from '../Helper';
import { type MethodData, MethodImageSize } from './data';
import type Method from './Method';
export default class MethodHelper extends Helper<MethodData, Method> {
    /**
     * The URLs of images representing the payment method.
     *
     * @since 2.0.0
     * @since 3.0.0 SVG support
     * @see https://docs.mollie.com/reference/v2/methods-api/get-method?path=image#response
     */
    getImage(this: MethodData, size?: MethodImageSize | '1x' | '2x'): string;
}
