import type TransformingNetworkClient from '../../communication/TransformingNetworkClient';
import type Callback from '../../types/Callback';
import Helper from '../Helper';
import type Organization from '../organizations/Organizations';
import { type OnboardingData } from './data';
import type Onboarding from './Onboarding';
export default class OnboardingHelper extends Helper<OnboardingData, Onboarding> {
    protected readonly links: OnboardingData['_links'];
    constructor(networkClient: TransformingNetworkClient, links: OnboardingData['_links']);
    /**
     * Returns the organization.
     *
     * @since 3.6.0
     */
    getOrganization(): Promise<Organization>;
    getOrganization(callback: Callback<Organization>): void;
}
