import type TransformingNetworkClient from '../../communication/TransformingNetworkClient';
import type Seal from '../../types/Seal';
import type Payment from '../payments/Payment';
import type Refund from '../refunds/Refund';
import { type OrderData } from './data';
import OrderHelper from './OrderHelper';
import type OrderLine from './orderlines/OrderLine';
import type Shipment from './shipments/Shipment';
type Order = Seal<Omit<OrderData, '_embedded'> & {
    lines: OrderLine[];
    _embedded?: {
        payments?: Payment[];
        refunds?: Refund[];
        shipments?: Shipment[];
    };
}, OrderHelper>;
export default Order;
export declare function transform(networkClient: TransformingNetworkClient, input: OrderData): Order;
