import type TransformingNetworkClient from '../../../communication/TransformingNetworkClient';
import type Callback from '../../../types/Callback';
import Helper from '../../Helper';
import type Shipment from '../../orders/shipments/Shipment';
import { type ShipmentData } from '../../orders/shipments/Shipment';
import type Order from '../Order';
export default class ShipmentHelper extends Helper<ShipmentData, Shipment> {
    protected readonly links: ShipmentData['_links'];
    constructor(networkClient: TransformingNetworkClient, links: ShipmentData['_links']);
    /**
     * Returns the order this shipment was created for.
     *
     * @since 3.6.0
     */
    getOrder(): Promise<Order>;
    getOrder(callback: Callback<Order>): void;
}
