import type TransformingNetworkClient from '../../communication/TransformingNetworkClient';
import type HelpfulIterator from '../../plumbing/iteration/HelpfulIterator';
import type { Payment } from '../../types';
import type { ThrottlingParameter } from '../../types/parameters';
import Helper from '../Helper';
import { type PaymentLinkData } from './data';
import type PaymentLink from './PaymentLink';
export default class PaymentLinkHelper extends Helper<PaymentLinkData, PaymentLink> {
    protected readonly links: PaymentLinkData['_links'];
    constructor(networkClient: TransformingNetworkClient, links: PaymentLinkData['_links']);
    /**
     * Returns a direct link to the payment link.
     *
     * @since 3.6.0
     */
    getPaymentUrl(): string;
    /**
     * Retrieve the list of payments for a specific payment link.
     *
     * @since 4.3.0
     */
    getPayments(parameters?: ThrottlingParameter): HelpfulIterator<Payment>;
}
