import type TransformingNetworkClient from '../../communication/TransformingNetworkClient';
import type Seal from '../../types/Seal';
import type OrderLine from '../orders/orderlines/OrderLine';
import type Payment from '../payments/Payment';
import { type RefundData } from './data';
import RefundHelper from './RefundHelper';
type Refund = Seal<Omit<RefundData, 'lines' | '_embedded'> & {
    lines?: OrderLine[];
    _embedded?: {
        payment?: Payment;
    };
}, RefundHelper>;
export default Refund;
export declare function transform(networkClient: TransformingNetworkClient, input: RefundData): Refund;
