/**
 * Defines new properties on the passed target object which take the value of the original property. The newly defined
 * properties are not enumerable and purposely do not exist in the TypeScript type of the target object.
 */
export default function alias<T, P extends keyof T>(target: T, aliases: Record<P, Array<string> | string>): void;
