import type Maybe from '../types/Maybe';
declare const prefixes: {
    capture: string;
    chargeback: string;
    customer: string;
    mandate: string;
    order: string;
    orderline: string;
    organization: string;
    payment: string;
    'payment-link': string;
    profile: string;
    refund: string;
    shipment: string;
    subscription: string;
    terminal: string;
};
type ResourceKind = keyof typeof prefixes;
/**
 * Asserts that the passed value is a well-formed identifier for the given resource as in 'this looks like it could be a valid identifier for this type of resource'.
 */
export default function assertWellFormedId(value: Maybe<string>, resource: ResourceKind): asserts value is string;
export {};
